spa_audio_aec_methods Struct Reference

## Data Fields

uint32_t | version
int(* | add_listener )(void *object, struct spa_hook *listener, const struct spa_audio_aec_events *events, void *data)
int(* | init )(void *data, const struct spa_dict *args, const struct spa_audio_info_raw *info)
int(* | run )(void *data, const float *rec[], const float *play[], float *out[], uint32_t n_samples)
int(* | set_props )(void *data, const struct spa_dict *args)

## Field Documentation

## version

uint32_t spa_audio_aec_methods::version

## add_listener

int(* spa_audio_aec_methods::add_listener) (void *object, struct spa_hook *listener, const struct spa_audio_aec_events *events, void *data)

## init

int(* spa_audio_aec_methods::init) (void *data, const struct spa_dict *args, const struct spa_audio_info_raw *info)

## run

int(* spa_audio_aec_methods::run) (void *data, const float *rec[], const float *play[], float *out[], uint32_t n_samples)

## set_props

int(* spa_audio_aec_methods::set_props) (void *data, const struct spa_dict *args)

The documentation for this struct was generated from the following file:

- spa/interfaces/audio/aec.h